Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
Sqoop >> mail # dev >> hadoop versions


Copy link to this message
-
Re: hadoop versions
In that case, how about renaming the pom.xml to something else? You
would you still be able to use it using the -f argument. Would that
work?

Thanks,
Arvind

On Mon, Dec 12, 2011 at 10:06 AM, Jarek Jarcec Cecho
<[EMAIL PROTECTED]> wrote:
> Please don't, I'm actually using it :-$
>
> Jarcec
>
> On Mon, Dec 12, 2011 at 09:48:59AM -0800, Arvind Prabhakar wrote:
>> Agreed. As a matter of fact,  we should remove POM from the 1.x branch
>> as it is confusing to many.
>>
>> I have filed SQOOP-408 to track this.
>> Thanks,Arvind
>> On Mon, Dec 12, 2011 at 9:29 AM, Eric Wadsworth <[EMAIL PROTECTED]> wrote:
>> > Arvind,
>> >
>> > Thanks for the info!
>> >
>> > Perhaps there should be a comment in the pom explaining this.
>> >
>> > --- wad
>> >
>> >
>> > On 12/12/2011 09:06 AM, Arvind Prabhakar wrote:
>> >>
>> >> Hi Eric,
>> >>
>> >> For the 1.x code line (trunk), we are not investing in fixing the
>> >> maven build. Instead the focus is entirely on using ant. Once we cut
>> >> over to the next major revision, we will switch to a maven only build.
>> >>
>> >> Thanks,
>> >> Arvind
>> >>
>> >> On Fri, Dec 9, 2011 at 5:18 PM, Eric Wadsworth<[EMAIL PROTECTED]>  wrote:
>> >>>
>> >>> Folks,
>> >>>
>> >>> Sqoop builds with ant just fine. The tests pass ("ant test"). This goes
>> >>> against hadoop 0.23; at least, that's what shows up in the ivy
>> >>> directories.
>> >>>
>> >>> But in the pom.xml, there is a different dependency:
>> >>>
>> >>> <!--
>> >>> <hadoopVersion>0.20.203.0</hadoopVersion>
>> >>>    -->
>> >>> <!-- FIXME Cloudera Distribution dependency version -->
>> >>> <hadoopVersion>0.20.2-cdh3u1</hadoopVersion>
>> >>>
>> >>> Out of the box, I can build with maven, with just a couple of tweaks
>> >>> (skipping tests because one fails, rm CHANGES.txt to make the RAT happy).
>> >>> But if I switch to the other version of hadoop, I get lots of errors.
>> >>>
>> >>> Why the discrepancy between ant and mvn builds? Or am I missing
>> >>> something?
>> >>>
>> >>> --- wad
>> >
>> >
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB